What's new in gnome-mag-0.16.1:

* Fixes:
	#612818 - gnome-mag fails to build with latest gtk 2.19.7 (André Klapper)
	#610935 - POTFILES.in is broken
	#609456 - Broken build because of colorblind when building from git

* Translations:
	Fran Diéguez (gl), Inaki Larranaga Murgoitio (eu), Kostas Papadimas (el)
	Roman Mátyus (sk)

What's new in gnome-mag-0.16.0:

* New features:
	Added D-BUS support.
	
* Translations:
	Dumitru Mișu Moldovan (ro), Jamil Ahmed (bn), Thomas Thurman (en@shaw)


What's new in gnome-mag-0.15.9:

* Translations:
	Denis Arnaud (br), Fábio Nogueira (pt_BR), Rajesh Ranjan (mai),
	Rodrigo L. M. Flores (pt_BR)

What's new in gnome-mag-0.15.8:

* Fixes:
        #574174 - Remove deprecated libgnomeui dependency (André Klapper)
        #554162 - Install colorblind applet to pyexecdir (Marcin Banasiak)
        #562079 - needlessly links against gdk-pixbuf-xlib (Matthias Clasen)
        #580186 - Use gtkbuilder instead of glade (Pedro Fragoso)
        Various - git, doap, etc. (Jaap Haitsma)

* Translations:
        Leonardo Ferreira Fontenelle (pt_BR)

What's new in gnome-mag-0.15.7:

* Fixes:
  #563764 - GNOME Goal: Clean up GLib and GTK+ includes. (Luis Menina)
  Add DOAP file (Olav Vitters)

* Translations:
  Rajesh Ranjan (hi), Miquel Esplà (ca@valencia)

What's new in gnome-mag-0.15.6:

* Fixes for the following bugs:
        #573023 - Migrate deprecated gnome-vfs to gio/gvfs (Simon Vanderlinden)
        #577937 - colorblind applet does not run (Willie Walker)

* Translations:
	* Krishnababu K (te), Djihed Afifi (ar), Amitakhya Phukan (as),
	  Ignacio Casal Quinteiro (gl)

What's new in gnome-mag-0.15.5:

* Translations:
        * Raivis Dejus (lv), Adi Roiban and Jani Monoses (ro), 
          Mikel González and Gil Forcada (ast), 
          Chao-Hsiung Liao (zh_HK), Chao-Hsiung Liao (zh_TW),
          Djihed Afifi (at), Luca Ferretti (it), 
          Alexander Shopov (bg), Pema Geyleg (dz), Yair Hershkovitz and
	  Yaron Sharabani (he).

What's new in gnome-mag-0.15.4:

* Translations:
	* Djihed Afifi (ar), Runa Bhattacharjee (bn_IN), Dawa pemo (dz),
	  Ante Karamatić (hr), Gabor Kelemen (hu), Tomasz Dominikowski (pl),
	  Горан Ракић (sr).


What's new in gnome-mag-0.15.3:

* Fix for the following bug:
	#532918: It's unable to launch magnifier of orca in gdm login window.
	Thanks for the patch Willie!
	
* Translations:
	* Djihed Afifi (ar), Jorge González (es), Shankar Prasad (kn)
	  Manoj Kumar Giri (or).

What's new in gnome-mag-0.15.2:

* Committed new patch for bug #520796. This one add the showCursor method.

* Translations:
	* Djihed Afifi (ar)

What's new in gnome-mag-0.15.1:

* Fix for the following bug:
	#520796: Magnifier should turn off the system sprite/cursor/mouse when
		 using full screen magnification.

* Translations:
	* Djihed Afifi (ar), Petr Kovar (cs), Giannis Katsampiris (el)
	  David Lodge (en_GB), Jorge González (es),
	  Iñaki Larrañaga Murgoitio (eu), Ignacio Casal Quinteiro (gl),
	  Yair Hershkovitz (he), Rajesh Ranjan (hi), Gabor Kelemen (hu),
	  Luca Ferretti (it), Ani Peter (ml), sandeep shedmake (mr),
	  Nabin Gautam (ne), Yannig Marchegay (Kokoyaya) (oc),
	  Baris Cicek (tr), Woodman Tuen (zh_HK), Woodman Tuen (zh_TW)

What's new in gnome-mag-0.15.0:

* Fix for the following bugs:
	#444137: gnome-mag uses private gdk-pixbuf api
	#458361: pointer don't update properly
	#473152: magnifier isn't tracking damage events properly
	#481009: magnifier should expose "full-screen capable" property to
		 bonobo clients
	#482328: --ignore-composite not being honored
	#483169: wrong syntax in MAINTAINERS
	#484492: uninstall-hook missing (does not update icon cache)
	#486696: switching from different displays to single display on the fly
		 make the magnifier work wrong
	#492795: String not marked for translation
	#502893: gnome-mag should expose "color blind filter" capable to bonobo
		 clients
	#503073: Border-size should be definable for each side of the zoomer
	#503074: crosswire length should be customizable
	#503075: Setting the magfactor shouldn't "blank out" the screen
	#505914: cursors events aren't handled properly

* Translations:
	* ar(Djihed Afifi), be@latin(Ihar Hrachyshka),
	  bn_IN(Sayamindu Dasgupta), eo(Dominique PELLE), es(Jorge González),
	  et(Ivar Smolin), eu(Iñaki Larrañaga Murgoitio), ga(Pól Ó Dubhthaigh),
	  gl(Ignacio Casal Quinteiro), gu(Ankit Patel), id(Ahmad Riza H Nst),
	  kn(Yogeesh MB), ko(Changwoo Ryu), lt(vt), lv(Raivis Dejus),
	  nb(Kjartan Maraas), nl(Wouter Bolsterlee), nn(Eskild Hustvedt),
	  pa(Amanpreet Singh Alam), pt(Duarte Loreto), rw(Steve Murphy),
	  sl(Matej Urban%GÄ%@i%GÄ%@), ug(Abduxukur Abdurixit),
	  uz@cyrillic(Nurali Abdurahmonov)


What's new in gnome-mag-0.14.10:

* Fix for bug #477220: magnifier screen gets grey when activated throw the
		       colorblind-applet.

* Translations:
	Anas Husseini (ar), Gil Forcada (ca), NikosCharonitakis (el),
	Iñaki Larrañaga Murgoitio (eu), Tomasz Dominikowski (pl),
	Nickolay V. Shmyrev (ru), Dziumanenko Maxim (uk)


What's new in gnome-mag-0.14.9:

* Fix for the following bugs:
	#472653: second time started and on, the magnified image screw up;
	#473569: colorblind-applet doesn't work if a filter is applied and an
		 external application closes gnome-mag;
	#475523: new display doesn't use COMPOSITE if this extension wasn't
		 available in the previous display;
	#468374: Problems with items occupying the same space as the zoomer
		 window in Ubuntu Gutsy.

* Translations:
	James Johnson (ang), Djihed Afifi (ar), Amitakhya Phukan (as),
	M%GÉ%@tin %GÆ%@mirov (az), Ihar Hrachyshka (be),
	Ihar Hrachyshka (be@latin), Alexander Shopov (bg),
	Sayamindu Dasgupta (bn_IN), Sayamindu Dasgupta (bn),
	Francis Tyers (br), Kemal Sanjta (bs), Jordi Mallach (ca),
	Dafydd Harries (cy), Ask Hjorth Larsen (da), Andre Klapper (de),
	Tshewang Norbu (dz), Nikos Charonitakis (el), Adam Weinberger (en_CA),
	David Lodge (en_GB), Dominique PELLE (eo), Jorge González (es),
	Ivar Smolin (et), Iñaki Larrañaga Murgoitio (eu),
	Roozbeh Pournader (fa), Lauri Nurmi (fi), Claude Paroz (fr),
	Pól Ó Dubhthaigh (ga), Ignacio Casal Quinteiro (gl), Ankit Patel (gu),
	Gil 'Dolfin' Osher (he), G Karunakar (hi), Gabor Kelemen (hu),
	Ahmad Riza H Nst (id), Samuel Jon Gunnarsson (is),
	Alessio Frusciante (it), Takeshi AIHANA (ja), Aiet Kolkhi (ka),
	Yogeesh MB (kn), Changwoo Ryu (ko), Erdal Ronahi (ku),
	Ilyas Bakirov (ky), Gintautas Miliauskas (lt), Raivis Dejus (lv),
	Fano Rajaonarisoa (mg), John C Barstow (mi), Jovan Naumovski (mk),
	Ani Peter (ml), Sanlig Badral (mn), Rahul Bhalerao (mr),
	Hasbullah Bin Pit (ms), Kjartan Maraas (nb), rajeev shrestha (ne),
	Vincent van Adrighem (nl), Åsmund Skjæveland (nn),
	Subhransu Behera (or), Amanpreet Singh Alam (pa),
	Tomasz Dominikowski (pl), Djavan Fagundes (pt_BR), Duarte Loreto (pt),
	Mi%GÅ%@u Moldovan (ro), Leonid Kanter (ru), Steve Murphy (rw),
	Tyronne Wickramarathne (si), Marcel Telka (sk),
	Matic %GÅœ%@gur (sl), Laurent Dhima (sq),
	¢âÑßÜà ªÓÑßàÓÚÇÑÀ (sr), Daniel Nylander (sv),
	Dr.T.Vasudevan (ta), Pramod (te), Theppitak Karoonboonyanan (th),
	Gurban Mühemmet Tewekgeli (tk), Baris Cicek (tr),
	Abduxukur Abdurixit (ug), Dziumanenko Maxim (uk), Clytie Siddall (vi),
	Yang Zhang (zh_CN), Woodman Tuen (zh_HK), Woodman Tuen (zh_TW)


What's new in gnome-mag-0.14.8:

* Making this release only to correct some spell errors, since string freeze
  starts today!


What's new in gnome-mag-0.14.7:

* Backported the contrast range [-1, 1] to gnome-mag-0.13.2;
* Properly magnification when source and target display have different
  resolutions;
* Added two new CLIs, these controls the cursor and crosswire painting.
* Fixes for bugs #442886, #446116, #448827, #448838, #452159, #462890, #467320
  (Thanks Damien Carbery), #468373 and #462044.

Translations
* Andre Klapper (de), Ivar Smolin (et), Iñaki Larrañaga Murgoitio (eu)
  Lauri Nurmi (fi), Ankit Patel (gu), Gabor Kelemen (hu), Takeshi AIHANA (ja)
  Jovan Naumovski (mk), Kjartan Maraas (nb), Vincent van Adrighem (nl)
  Subhransu Behera (or), Tomasz Dominikowski (pl), Djavan Fagundes (pt_BR)
  Daniel Nylander (sv), Dr.T.Vasudevan (ta), Pramod (te), Baris Cicek (tr)
  Clytie Siddall (vi).


What's new in gnome-mag-0.14.6:

This is a bug fix release. The fixes are:
	* #443970 - colorblind-applet preferences UI doesn't sync when changes
		    are made throw shortcuts;
	* #444138 - gnome-mag doesn't build due a variable name that wasn't
		    renamed after X11 code refactoring;
	* #444333 - when the magnifier is already running and the colorblind
		    filter is activated the crosswire leave trash in the
		    screen;
	* #446116 - files needed for the colorblind-applet that wasn't
		    committed are causing errors during
		    configuration/compilation;
	* #448827 - make distcheck failing due the missing of POTFILES.skip;
	* #448838 - docs/references/Makefile.am causing make distcheck failure.

Translations
	* Tshewang Norbu (dz), Jorge González (es), Ivar Smolin (et),
	  Daniel Nylander (sv), Theppitak Karoonboonyanan (th)



What's new in gnome-mag-0.14.5:

* Isolated the X11 dependency, making easier to support others graphical
environments.
* Improved the magnifier compositor performance, through the elimination of
X11 sync calls.
* Create an applet to apply colorblind filters.
* Fixes for bugs #436894, #404448, #408133, #416911, #422361, #438591 and
#442219.

Translations
	* Ihar Hrachyshka (be@latin), Gil 'Dolfin' Osher (he)
	  Alessio Frusciante (it) and Dziumanenko Maxim (uk)


What's new in gnome-mag-0.14.4:

* Fixes for bugs #416911 and #434660. This make possible turn on the composite
support, what make possible full-screen magnification and other goodies.

Translations
	* Ihar Hrachyshka (be@latin), norbu (dz),
	  Iñaki Larrañaga Murgoitio (eu), Ignacio Casal Quinteiro (gl),
	  Luca Ferretti (it), Takeshi AIHANA (ja), Nickolay V. Shmyrev (ru),
	  Laurent Dhima (sq) and Yang Zhang (zh_CN)


What's new in gnome-mag-0.14.3:

* Fix for bug #397819. When the patch was applied, I didin't percept that the
-v meaning changed from --vertical to --version and since the -v to mean
--vertical is well know a new patch was applied to revert this.


What's new in gnome-mag-0.14.2:

* Fixes for bugs #397025, #376047, #397819 and #408133.

Translations
	* Alexander Shopov (bg), Peter Bach (da), Hendrik Richter (de),
	  Lauri Nurmi (fi), StÃ©phane Raimbault (fr), Gabor Kelemen (hu)
	  Changwoo Ryu (ko), Gintautas Miliauskas (lt), Wouter Bolsterlee (nl)
	  GNOME PL Team (pl), Duarte Loreto (pt), Woodman Tuen (zh_HK)
	  Woodman Tuen (zh_TW)


What's new in gnome-mag-0.14.1:

* Added COMPOSITE support. Now full screen magnification is possible without
workarounds with the X server configuration file!

* Switch to GOption. Thanks to Christian Kirbach!

What's new in gnome-mag-0.14.0:

* Fix for bug #377856. Added colorblind filtering support. This is achieved
throw the libcolorblind
(http://people.debian.org/~ruoso/libcolorblind-0.0.0.tgz). Thanks Daniel Ruoso
for this development!

* Fix for bug #379258. Added brightness manipulation support.

* Fix for bug #348629. Correct the contrast filtering behavior.

* Fix for bug #357647. Now you can type 'man magnifier'. Thanks George Kraft
IV.

* Fix for bug #376047. This avoid the magnifier screen flick after the user
start a server (Gnopernicus, LSR or Orca). Thanks Eitan Isaacsion!

* Fix for bug #98240. Now the magnifier have borders!

* Fix for bug #355583. Removed a memory leak. Thanks Aurelian Radu for
reporting this!

* Fixes for bugs #342170, 342168, #348169, #319010, #342168, #342174, #342166,
#348261, #372731 (Thanks Eitan Isaacson), #375986, #342173, #348593

Translations
	* Khaled Hosny (ar), Francisco Javier F. Serrador (es),
	  Ankit Patel (gu), Jovan Naumovski (mk), Kjartan Maraas (nb)
	  GNOME PL Team (pl), Daniel Nylander (sv),
	  Theppitak Karoonboonyanan (th)

What's new in gnome-mag-0.13.0:

* Fix for #344070, changed how the update is done to avoid bad blocks generated
  during this process.

* Fix for #343689, adding contrast support to gnome-mag.

Translations
	* Sayamindu Dasgupta (bn_IN), Dominique PELLE (eo),
	Rahul Bhalerao (mr), rajeev shrestha (ne) and Abel Cheung (zh_HK)

What's new in gnome-mag-0.12.5:

* Fix for #323032, whick install ORBit modules, so orca can use the magnifier
  services (Thanks Willie Walker!).

* Fix for #337985, to conform with the GNOME goal to use po/LINGUAS (Thanks 
  Brian Pepple!).

* Fixes for #338551, #341854, #341883, #341888.

What's new in gnome-mag-0.12.4:

* Use doxygen to build idl docs, if available.
* Fixes to prevent unnecessary repaints, and reallocate the scaled pixbuf
  if the source bounds change (from Carlos Diogenes), bug #171465.

What's new in gnome-mag-0.12.2:

* Fix for serious update bug which made high magnification factors work
  poorly.

* Fix for #167705, which improves our tracking of cursor changes.

What's new in gnome-mag-0.12.0:

* Fix for bug #164371, which meant that the visible area in split-screen mode
  didn't update when the target bounds change.

What's new in gnome-mag-0.11.14:

* Fix for bug #166282; we now work properly if the source display size is
  smaller than the target display size.

What's new in gnome-mag-0.11.13:

* Fixes for #164444, #164371, #158468, #164175, #164491.

* Fixes for multi-DISPLAY and fullscreen support:
  we now accept setting target==source if not initially set equal;
  we correctly connect to source's DAMAGE events if source server isn't 
    the default GDK_DISPLAY;
  we tear down the zoom regions in the magnifier when changing source as
    well as target;
  we correctly reparent the magnifier's zoom regions _after_ redefining
    the magnifier's gtk-window;
  better lifecycle management of the zoom regions themselves, so that
    idle handlers and timeouts are removed when the regions are disposed.

What's new in gnome-mag-0.11.11:

* Fix crosswire trails when using DAMAGE and XFIXES, at least for
  smooth-scrolling mode (#160352).

* Reinstate crosswires, they were inadvertently removed by an error in 
  a compiler-warnings fix.

* Improved test for XFIXES and DAMAGE extensions, so that they 
  are properly built into gnome-mag when building on XOrg server platform.

* Fixed XFIXES cursor image support on big-endian architectures. (#159398)

* Fixes for #160352, #157187.

What's new in gnome-mag-0.11.9:

* different handling of changes to source and target displays;
  we don't try to reparent windows any more, we tear down and
  start over (works better with some x servers).

* Suppress a bunch of gdk critical warnings.

What's new in gnome-mag-0.11.8:

* bugfixes, sanity checks on client requests.

What's new in gnome-mag-0.11.7:

* magnifier's use of the new DAMAGE x extension can be turned off via
  the MAGNIFIER_IGNORE_DAMAGE environment variable, or via
  the "--ignore-damage" command line flag.  This is a debugging
  feature.

* magnifier now does some sanity checking on the setROI calls before 
  attempting to comply.

What's new in gnome-mag-0.11.6:

* Fix for bug 141376 and 152300; we now provide the missing epv
  implementation for getTargetDisplay and getSourceDisplay, and 
  we check to make sure we can connect to a display before
  trying to change source or target.

What's new in gnome-mag-0.11.5:

* We now implement LoginHelper from at-spi - this allows clients to
  tell that the magnifier needs access to certain resources during
  authentication, screen lock, etc., for instance allows magnifier to
  tell clients which X windows to raise in order to allow
  magnification when the screen is otherwise obscured.  Fixes bug #150846.

What's new in gnome-mag-0.11.4:

* Bugfixes for cursor painting if TARGET display has been changed (#140622)

* Improved support for DAMAGE; don't do global refresh/polling if
  DAMAGE extension is available.

* Can tell magnifier standalone to be OVERRIDE_REDIRECT if you need
  to. (See magnifier --usage).
 
* Set _NET_WM_STRUT and _NET_WM_STRUT_PARTIAL values; lets other apps
  know not to overlap the magnifier binary when run in split-screen mode.

* New translations:
- Indonesian (id) Ahmad Riza H Nst
- (or) Gora Mohanty
- (nb) Kjartan Marass
- (bs) CHristian Rose (ALL_LINGUAS addition only)

=========

What's new in gnome-mag-0.11.2:

* Bugfix for cursor-size property.

* Added cursor-size test to tests/control-client.

=========

What's new in gnome-mag-0.11.1:

* fixed border-color property.

* Fixed setting of smooth-scroll policy and border-size.

* Fix for bug #104831; gnome-mag now listens for DAMAGE
  notifications when the DAMAGE extension is available at runtime
  (and build time).  This means that on DAMAGE-enabled servers, 
  gnome-mag's service need not use a timer-based refresh, 
  i.e. --refresh-timeout can be made arbitrarily large.

* Revamped the way cursor-sets are used; now cursor-set names
  refer to the names of directories under $share/gnome-mag/.
  
* gnome-mag can track changes to the source display's cursor and 
  display a rescaled cursor on the target display if XFIXES is
  available.  

* Added support for non-square cursor pixmaps.

Please see ChangeLog for more detail on these features.

* languages:
Gujrati (Guntupalli Karunakar)

============

What's new in gnome-mag-0.10.10:

* languages:
Alexander Winston (en_CA)
Gareth Owen (en_GB)
John C Barstow (mi)

====

What's new in gnome-mag-0.10.9:

* languages:
  MÉtin Æmirov (az)
  Alexander Winston (en_CA)
  Amanpreet Singh Alam (pa)
  Paisa Seeluangsawat (th)
  Gurban Mohemmet Tewekgeli (tk)

===
What's new in gnome-mag-0.10.8:

* fix for builds with non-standard X directories. [bug 130787, from
  Fernando Herrera]

* smooth-scrolling is now the default.

* magnifier toplevel window is now TYPE_POPUP as it
  needs to be override-redirect and always on top.

* fixes to benchmarking code reports (Brian Cameron).

* cache GC's used in magnifier, to reduce X traffic (Brian Cameron).

* makefile cleanup: (Tomasz K³oczko)

* languages: 
  punjabi  Guntupalli Karunakar 
  thai	   Paisa Seeluangsawat
  croation Robert Sedak
  arabic   Arafat Medini

What's new in gnome-mag-0.10.5:

* Improvements to test/benchmark output; 
  fixed a number of errors in compiling statistics.

* performance improvement due to cacheing GC's.

* New languages: 
  ar (Arafat Medini), 
  et ( TÃÂÃÂµivo LeedjÃÂÃÂ€rv  <toivo@linux.ee>)

What's new in gnome-mag-0.10.4:

* new CLI options for performance benchmarking; 
  (See discussion in bugzilla bug #126825 for info on
  the new timing parameters, comments in 
  magnifier/zoom-region.c, and '--usage'.)

What's new in gnome-mag-0.10.2:

* Significant code cleanup and improvements to CLI.

* new languages: ja, pt, more.

* Fixes to 106067, 105298, 105820, 105205.

* Detect and survive out-of-memory conditions.

* Lots of build fixes.

What's new in gnome-mag-0.9.1:

* lots of translations, which is odd since there are (almost) no strings 
	:+)

* some fixes for cursor-coloring and hotspots;

* lots more implementation, for instance multiple zoom regions,
  control of onscreen cursor size and color, etc.  Also better
  support for fullscreen mode (though not perfect).

ISSUES: If you run in --fullscreen ("-f") mode, you must
  for the moment make sure that $DISPLAY matches "-t <target>",
  and you must explicitly specify both source ("-s") and
  target ("-t") on the command line when running the
  'magnifier' binary.

=============

This is the initial release of module gnome-mag,
which was previously included as part of module
at-spi.
